> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get amendment data points configuration by country

GET https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration

Returns amendment data points configuration per country. If no countries filter is provided, returns configuration for all available countries. If no configuration exists for a country, all data points are treated as enabled.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/reference/endpoints/eor/get-amendment-data-points-configuration-by-country-v-2026-05-06

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `countries` (list of string, optional) — Optional list of ISO 3166-1 alpha-2 country codes to filter results. Returns all countries if omitted.
- `enabled` (boolean, optional) — When true, returns only enabled data points. A data point is enabled if at least one of its items is not DISABLED_AMENDMENTS.
- `limit` (integer, optional, default: 20) — Maximum number of results to return per page.
- `cursor` (string, optional) — Cursor from a previous response to fetch the next page of results.

## Response

### 200

Data points configuration per country

- `data` (EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaData, required)
- `has_more` (boolean, required) — Whether more pages are available
- `next_cursor` (string, required, nullable) — Opaque cursor to pass as the cursor query param to fetch the next page. null when on the last page.
- `total_count` (integer, required) — Total number of countries with amendment settings in the database

## Errors

### 400 Bad Request Error

Bad Request. The request could not be understood or was missing required parameters.

- `errors` (list of EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden. The caller does not have permission to perform this action.

- `errors` (list of EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal server error.

- `errors` (list of EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaErrorsItems, required)

## Types

### EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaData

- `settings` (list of EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItems, required) — List of countries with their amendment data points configuration

### EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required)
- `message` (string, required)

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItems

- `id` (string, required, nullable) — Database record ID for this country's settings. null when no settings row exists and defaults are returned.
- `country` (string, required) — ISO 3166-1 alpha-2 country code
- `created_at` (string, required, nullable) — Timestamp when the country settings row was created. null when no DB row exists.
- `updated_at` (string, required, nullable) — Timestamp when the country settings row was last updated. null when no DB row exists.
- `data_points` (list of EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItemsDataPointsItems, required) — Amendment data points configured for this country

### EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItemsDataPointsItems

- `item` (enum, required) — Data point identifier
  - Allowed values: `SALARY`, `START_DATE`, `END_DATE`, `HOLIDAYS`, `SCOPE`, `JOB_TITLE`, `VARIABLE_COMPENSATIONS`, `CUSTOM`, `CURRENCY`, `TIME_OFF_TYPE`, `FIXED_ALLOWANCES`, `PROBATION_PERIOD`, `SENIORITY_ID`, `WORK_HOURS_PER_WEEK`, `EMPLOYMENT_STATE`, `EMPLOYMENT_TYPE`, `EMPLOYEE_NATIONALITY`, `NOTICE_PERIOD_DURING_PROBATION`, `NOTICE_PERIOD_AFTER_PROBATION`, `NOTICE_PERIOD_TYPE`, `WORK_SCHEDULE`, `SENIORITY_DATE`, `JOB_CATEGORY`, `JOB_CODE`
- `types` (list of EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItemsDataPointsItemsTypesItems, required) — Processing type configuration per amendment item within this data point
- `is_enabled` (boolean, required) — Whether at least one amendment item within this data point is enabled
- `metadata` (EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItemsDataPointsItemsMetadata, optional) — Additional configuration for the data point. Present only for CUSTOM.

### EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItemsDataPointsItemsTypesItems

- `type` (enum, required) — Processing type. AUTOMATED means no explicit configuration — processed automatically.
  - Allowed values: `AUTOMATED`, `INSTANT`, `LEGAL`, `NO_AUTOMATION`, `DISABLED_AMENDMENTS`
- `amendment_item` (string, required) — Amendment item identifier

### EorContractsAmendmentsDataPointsConfigurationGetResponsesContentApplicationJsonSchemaDataSettingsItemsDataPointsItemsMetadata

Additional configuration for the data point. Present only for CUSTOM.

- `possible_options` (list of enum, optional) — Allowed subject values for a custom amendment item
  - Allowed values: `START_DATE`, `END_DATE`, `BENEFITS`, `PROBATION_PERIOD`, `VARIABLE_COMPENSATIONS`, `INCENTIVE_PLAN`, `SALARY`, `FIXED_ALLOWANCES`, `JOB_TITLE`, `SENIORITY_ID`, `SENIORITY_DATE`, `JOB_CODE`, `JOB_CATEGORY`, `JOB_SCOPE`, `EMPLOYMENT_TYPE`, `PERSONAL_DATA`, `OTHER`

## Examples

**Response**

```json
{
  "data": {
    "settings": [
      {
        "id": "fe883976-e331-40c9-b710-4af84109ae97",
        "country": "AE",
        "created_at": "2024-01-04T05:33:29.947Z",
        "updated_at": "2026-04-30T12:04:07.558Z",
        "data_points": [
          {
            "item": "SALARY",
            "types": [
              {
                "type": "LEGAL",
                "amendment_item": "SALARY_INCREASE"
              }
            ],
            "is_enabled": true,
            "metadata": {
              "possible_options": [
                "START_DATE",
                "SALARY",
                "JOB_TITLE",
                "OTHER"
              ]
            }
          }
        ]
      }
    ]
  },
  "has_more": true,
  "next_cursor": "eyJsYXN0Q291bnRyeSI6IkFFIiwidG90YWxDb3VudCI6MiwibGltaXQiOjF9",
  "total_count": 2
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration"

querystring = {"countries":"[\"DE\",\"FR\"]","cursor":"eyJsYXN0Q291bnRyeSI6IkRFIn0","enabled":"true","limit":"20"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration?countries=%5B%22DE%22%2C%22FR%22%5D&cursor=eyJsYXN0Q291bnRyeSI6IkRFIn0&enabled=true&limit=20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration?countries=%5B%22DE%22%2C%22FR%22%5D&cursor=eyJsYXN0Q291bnRyeSI6IkRFIn0&enabled=true&limit=20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration?countries=%5B%22DE%22%2C%22FR%22%5D&cursor=eyJsYXN0Q291bnRyeSI6IkRFIn0&enabled=true&limit=20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration?countries=%5B%22DE%22%2C%22FR%22%5D&cursor=eyJsYXN0Q291bnRyeSI6IkRFIn0&enabled=true&limit=20")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration?countries=%5B%22DE%22%2C%22FR%22%5D&cursor=eyJsYXN0Q291bnRyeSI6IkRFIn0&enabled=true&limit=20', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration?countries=%5B%22DE%22%2C%22FR%22%5D&cursor=eyJsYXN0Q291bnRyeSI6IkRFIn0&enabled=true&limit=20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contracts/amendments/data-points/configuration?countries=%5B%22DE%22%2C%22FR%22%5D&cursor=eyJsYXN0Q291bnRyeSI6IkRFIn0&enabled=true&limit=20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```